# Configuration file

client {
    # Align HUD with left (if true) or right (if false)
    B:AlignHUDLeft=true

    # How much light to produce if ambient lighting is enabled.
    I:AmbientLightingLevel=15

    # Allow sneak+scroll to change Configurator modes.
    B:ConfiguratorModeScroll=true

    # Should active machines produce block light.
    B:EnableAmbientLighting=true

    # If enabled machines play their sounds while running.
    B:EnableMachineSounds=true

    # Play sounds for Jetpack/Gas Mask/Flamethrower (all players).
    B:EnablePlayerSounds=true

    # Christmas/New Years greetings in chat.
    B:Holidays=true

    # Show particles when machines active.
    B:MachineEffects=true

    # Set to false to prevent particle spam when loading multiblocks (notification message will display instead).
    B:MultiblockFormParticles=true

    # If true, don't render Cables/Pipes/Tubes as transparent and don't render their contents.
    B:OpaqueTransmitterRender=false
    B:ReplaceSoundsWhenResuming=true

    # Adjust Mekanism sounds' base volume. < 1 is softer, higher is louder.
    D:SoundVolume=1.0
}


general {
    # If enabled, lasers can break blocks and the flamethrower starts fires.
    B:AestheticWorldDamage=true

    # Disable to make the anchor upgrade not do anything.
    B:AllowChunkloading=true

    # Enable the security system for players to prevent others from accessing their machines. Does NOT affect Frequencies.
    B:AllowProtection=true

    # Allows vanilla spawners to be moved with a Cardboard Box.
    B:AllowSpawnerBoxPickup=true

    # Allow right clicking on Cables/Pipes/Tubes with alloys to upgrade the tier.
    B:AllowTransmitterAlloyUpgrade=true

    # Max damage the Armored Jetpack can absorb.
    I:ArmoredJepackDamageMax=115

    # Damage absorb ratio of the Armored Jetpack.
    D:ArmoredJetpackDamageRatio=0.8

    # Disables Forge Energy (FE,IF,uF,CF) power integration. Requires world restart (server-side option in SMP).
    B:BlacklistForgePower=false

    # Disables IC2 power integration. Requires world restart (server-side option in SMP).
    B:BlacklistIC2Power=false

    # Disables Thermal Expansion RedstoneFlux power integration. Requires world restart (server-side option in SMP).
    B:BlacklistRFPower=false

    # Disables Tesla power integration. Requires world restart (server-side option in SMP).
    B:BlacklistTeslaPower=false

    # How many ticks must pass until a block's active state can sync with the client.
    I:ClientUpdateDelay=10

    # Enables recipes using Control Circuits to use OreDict'd Control Circuits from other mods.
    B:ControlCircuitOreDict=true

    # Chance that copper generates in a chunk. (0 to Disable)
    I:CopperPerChunk=0

    # Max number of blocks in a copper vein.
    I:CopperVeinSize=8

    # If machine is disabled in config, do we set its block to air if it is found in world?
    B:DestroyDisabledBlocks=true

    # Base Energy (Joules) usage of the Atomic Disassembler. (Gets multiplied by speed factor)
    I:DisassemblerEnergyUsage=10

    # Audible sparkles.
    B:DynamicTankEasterEgg=false

    # Conversion multiplier from Joules to EU (Joules * EUToJoules = EU)
    D:EUToJoules=0.1

    # Allows chunks to retrogen Mekanism ore blocks.
    B:EnableWorldRegeneration=false

    # Joules required by the Resistive Heater to produce one unit of heat. Also affects Thermoelectric Boiler's Water->Steam rate.
    D:EnergyPerHeat=1000.0

    # How much energy (Joules) a piece of redstone gives in machines.
    D:EnergyPerRedstone=10000.0

    # Displayed energy type in Mekanism GUIs.
    S:EnergyType=RF

    # Burn time for Ethylene (1mB hydrogen + 2*bioFuel/tick*200ticks/100mB * 20x efficiency bonus).
    I:EthyleneBurnTime=40

    # Thermal Evaporation Tower heat loss per tick.
    D:EvaporationHeatDissipation=0.02

    # Max Temperature of the Thermal Evaporation Tower.
    D:EvaporationMaxTemp=3000.0

    # Heat to absorb per Solar Panel array of Thermal Evaporation Tower.
    D:EvaporationSolarMultiplier=0.2

    # Temperature to amount produced ratio for Thermal Evaporation Tower.
    D:EvaporationTempMultiplier=0.1

    # Conversion multiplier from Joules to Forge Energy (Joules * ForgeToJoules = FE)
    D:ForgeToJoules=0.4

    # Amount of heat produced per fuel tick of a fuel's burn time in the Fuelwood Heater.
    D:HeatPerFuelTick=4.0

    # How much energy is produced per mB of Hydrogen, also affects Electrolytic Separator usage, Ethylene burn rate and Gas generator energy capacity.
    D:HydrogenEnergyDensity=200.0

    # Conversion multiplier from EU to Joules (EU * JoulesToEU = Joules)
    D:JoulesToEU=10.0

    # Conversion multiplier from Forge Energy to Joules (FE * JoulesToForge = Joules)
    D:JoulesToForge=2.5

    # Conversion multiplier from RF to Joules (RF * JoulesToRF = Joules)
    D:JoulesToRF=2.5

    # Conversion multiplier from Tesla to Joules (Tesla * JoulesToTesla = Joules)
    D:JoulesToTesla=2.5

    # Energy needed to destroy or attract blocks with a Laser (per block hardness level).
    I:LaserDiggingEnergy=100000

    # How far (in blocks) a laser can travel.
    I:LaserRange=64

    # Log Mekanism packet names. Debug setting.
    B:LogPackets=false

    # Maximum Joules per mB of Steam. Also affects Thermoelectric Boiler.
    D:MaxEnergyPerSteam=100.0

    # Flamethrower Gas Tank capacity in mB.
    I:MaxFlamethrowerGas=24000

    # Jetpack Gas Tank capacity in mB.
    I:MaxJetpackGas=24000

    # Fluidic Plenisher stops after this many blocks.
    I:MaxPlenisherNodes=4000

    # Maximum block distance to pull fluid from for the Electric Pump.
    I:MaxPumpRange=80

    # Scuba Tank Gas Tank capacity in mB.
    I:MaxScubaGas=24000

    # Energy multiplier for using silk touch mode with the Digital Miner.
    I:MinerSilkMultiplier=6

    # Radius of the explosion of Obsidian TNT.
    I:ObsidianTNTBlastRadius=12

    # Fuse time for Obsidian TNT.
    I:ObsidianTNTDelay=100

    # Ops can bypass the block security restrictions if enabled.
    B:OpsBypassRestrictions=false

    # Chance that osmium generates in a chunk. (0 to Disable)
    I:OsmiumPerChunk=0

    # Max number of blocks in an osmium vein.
    I:OsmiumVeinSize=8

    # Delay in ticks before a player is teleported after clicking the Teleport button in the portable teleporter.
    I:PortableTeleporterDelay=0

    # Add filled creative gas tanks to creative/JEI.
    B:PrefilledGasTanks=true

    # If enabled makes Water and Heavy Water blocks be removed from the world on pump.
    B:PumpWaterSources=false

    # Maximum buffer of an Entangoloporter frequency.
    D:QuantumEntangloporterEnergyTransfer=1.6E7

    # Conversion multiplier from Joules to RF (Joules * RFToJoules = RF)
    D:RFToJoules=0.4

    # Chance that salt generates in a chunk. (0 to Disable)
    I:SaltPerChunk=2

    # Max number of blocks in a salt vein.
    I:SaltVeinSize=6

    # Chance of producing sawdust per operation in the precision sawmill when turning logs into planks.
    D:SawdustChanceLog=1.0

    # Chance of producing sawdust per operation in the precision sawmill when turning planks into sticks.
    D:SawdustChancePlank=0.25

    # Enable the spawning of baby skeletons. Think baby zombies but skeletons.
    B:SpawnBabySkeletons=true

    # Amount of heat each Boiler heating element produces.
    D:SuperheatingHeatTransfer=10000.0

    # Displayed temperature unit in Mekanism GUIs.
    S:"Temperature Units"=K

    # Conversion multiplier from Joules to Tesla (Joules * TeslaToJoules = Tesla)
    D:TeslaToJoules=0.4
    D:ThermalEvaporationSpeed=1.0

    # Chance that tin generates in a chunk. (0 to Disable)
    I:TinPerChunk=0

    # Max number of blocks in a tin vein.
    I:TinVeinSize=8
    B:UpdateNotifications=false

    # Base factor for working out machine performance with upgrades - UpgradeModifier * (UpgradesInstalled/UpgradesPossible).
    I:UpgradeModifier=10

    # TCP port for the Voice server to listen on.
    I:VoicePort=36123
    B:VoiceServerEnabled=false

    # Enables the voice server for Walkie Talkies.
    B:WalkieTalkieServerEnabled=false

    # Change this value to cause Mekanism to regen its ore in all loaded chunks.
    I:WorldRegenVersion=0

    # Maximum radius in blocks that the Digital Miner can reach. (Increasing this may have negative effects on stability and/or performance. We strongly recommend you leave it at the default value.)
    I:digitalMinerMaxRadius=32
}


generation {
    # Peak output for the Advanced Solar Generator. Note: It can go higher than this value in some extreme environments.
    D:AdvancedSolarGeneration=300.0

    # Amount of energy in Joules the Bio Generator produces per tick.
    D:BioGeneration=350.0

    # Affects the Injection Rate, Max Temp, and Ignition Temp.
    D:EnergyPerFusionFuel=5000000.0

    # Amount of energy in Joules the Heat Generator produces per tick. (heatGenerationLava * heatGenerationLava) + heatGenerationNether
    D:HeatGeneration=150.0

    # Multiplier of effectiveness of Lava in the Heat Generator.
    D:HeatGenerationLava=5.0

    # Add this amount of Joules to the energy produced by a heat generator if it is in the Nether.
    D:HeatGenerationNether=100.0

    # Peak output for the Solar Generator. Note: It can go higher than this value in some extreme environments.
    D:SolarGeneration=50.0

    # The number of blades on each turbine coil per blade applied.
    I:TurbineBladesPerCoil=4

    # The rate at which steam is condensed in the turbine.
    I:TurbineCondenserFlowRate=32000

    # The rate at which steam is dispersed into the turbine.
    D:TurbineDisperserGasFlow=640.0

    # The rate at which steam is vented into the turbine.
    D:TurbineVentGasFlow=16000.0

    # The list of dimension ids that the Wind Generator will not generate power in.
    I:WindGenerationDimBlacklist <
     >

    # Maximum base generation value of the Wind Generator.
    D:WindGenerationMax=480.0

    # The maximum Y value that affects the Wind Generators Power generation.
    I:WindGenerationMaxY=255

    # Minimum base generation value of the Wind Generator.
    D:WindGenerationMin=60.0

    # The minimum Y value that affects the Wind Generators Power generation.
    I:WindGenerationMinY=24
}


generators {
    # Allow AdvancedSolarGenerator to be used/crafted. Requires game restart to fully take effect.
    B:AdvancedSolarGeneratorEnabled=true

    # Allow BioGenerator to be used/crafted. Requires game restart to fully take effect.
    B:BioGeneratorEnabled=true

    # Allow GasGenerator to be used/crafted. Requires game restart to fully take effect.
    B:GasGeneratorEnabled=true

    # Allow HeatGenerator to be used/crafted. Requires game restart to fully take effect.
    B:HeatGeneratorEnabled=true

    # Allow SolarGenerator to be used/crafted. Requires game restart to fully take effect.
    B:SolarGeneratorEnabled=true

    # Allow WindGenerator to be used/crafted. Requires game restart to fully take effect.
    B:WindGeneratorEnabled=true
}


machines {
    # Allow Chargepad to be used/crafted. Requires game restart to fully take effect.
    B:ChargepadEnabled=true

    # Allow ChemicalCrystallizer to be used/crafted. Requires game restart to fully take effect.
    B:ChemicalCrystallizerEnabled=true

    # Allow ChemicalDissolutionChamber to be used/crafted. Requires game restart to fully take effect.
    B:ChemicalDissolutionChamberEnabled=true

    # Allow ChemicalInfuser to be used/crafted. Requires game restart to fully take effect.
    B:ChemicalInfuserEnabled=true

    # Allow ChemicalInjectionChamber to be used/crafted. Requires game restart to fully take effect.
    B:ChemicalInjectionChamberEnabled=true

    # Allow ChemicalOxidizer to be used/crafted. Requires game restart to fully take effect.
    B:ChemicalOxidizerEnabled=true

    # Allow ChemicalWasher to be used/crafted. Requires game restart to fully take effect.
    B:ChemicalWasherEnabled=true

    # Allow Combiner to be used/crafted. Requires game restart to fully take effect.
    B:CombinerEnabled=true

    # Allow Crusher to be used/crafted. Requires game restart to fully take effect.
    B:CrusherEnabled=true

    # Allow DigitalMiner to be used/crafted. Requires game restart to fully take effect.
    B:DigitalMinerEnabled=true

    # Allow ElectricPump to be used/crafted. Requires game restart to fully take effect.
    B:ElectricPumpEnabled=true

    # Allow ElectrolyticSeparator to be used/crafted. Requires game restart to fully take effect.
    B:ElectrolyticSeparatorEnabled=true

    # Allow EnergizedSmelter to be used/crafted. Requires game restart to fully take effect.
    B:EnergizedSmelterEnabled=true

    # Allow EnrichmentChamber to be used/crafted. Requires game restart to fully take effect.
    B:EnrichmentChamberEnabled=true

    # Allow Factory to be used/crafted. Requires game restart to fully take effect.
    B:FactoryEnabled=true

    # Allow FluidTank to be used/crafted. Requires game restart to fully take effect.
    B:FluidTankEnabled=true

    # Allow FluidicPlenisher to be used/crafted. Requires game restart to fully take effect.
    B:FluidicPlenisherEnabled=true

    # Allow FormulaicAssemblicator to be used/crafted. Requires game restart to fully take effect.
    B:FormulaicAssemblicatorEnabled=true

    # Allow FuelwoodHeater to be used/crafted. Requires game restart to fully take effect.
    B:FuelwoodHeaterEnabled=true

    # Allow LaserAmplifier to be used/crafted. Requires game restart to fully take effect.
    B:LaserAmplifierEnabled=true

    # Allow Laser to be used/crafted. Requires game restart to fully take effect.
    B:LaserEnabled=true

    # Allow LaserTractorBeam to be used/crafted. Requires game restart to fully take effect.
    B:LaserTractorBeamEnabled=true

    # Allow LogisticalSorter to be used/crafted. Requires game restart to fully take effect.
    B:LogisticalSorterEnabled=true

    # Allow MetallurgicInfuser to be used/crafted. Requires game restart to fully take effect.
    B:MetallurgicInfuserEnabled=true

    # Allow Oredictionificator to be used/crafted. Requires game restart to fully take effect.
    B:OredictionificatorEnabled=true

    # Allow OsmiumCompressor to be used/crafted. Requires game restart to fully take effect.
    B:OsmiumCompressorEnabled=true

    # Allow PersonalChest to be used/crafted. Requires game restart to fully take effect.
    B:PersonalChestEnabled=true

    # Allow PrecisionSawmill to be used/crafted. Requires game restart to fully take effect.
    B:PrecisionSawmillEnabled=true

    # Allow PressurizedReactionChamber to be used/crafted. Requires game restart to fully take effect.
    B:PressurizedReactionChamberEnabled=true

    # Allow PurificationChamber to be used/crafted. Requires game restart to fully take effect.
    B:PurificationChamberEnabled=true

    # Allow QuantumEntangloporter to be used/crafted. Requires game restart to fully take effect.
    B:QuantumEntangloporterEnabled=true

    # Allow ResistiveHeater to be used/crafted. Requires game restart to fully take effect.
    B:ResistiveHeaterEnabled=true

    # Allow RotaryCondensentrator to be used/crafted. Requires game restart to fully take effect.
    B:RotaryCondensentratorEnabled=true

    # Allow SeismicVibrator to be used/crafted. Requires game restart to fully take effect.
    B:SeismicVibratorEnabled=true

    # Allow SolarNeutronActivator to be used/crafted. Requires game restart to fully take effect.
    B:SolarNeutronActivatorEnabled=true

    # Allow Teleporter to be used/crafted. Requires game restart to fully take effect.
    B:TeleporterEnabled=true
}


tier {
    # The number of items a Advanced bin can store.
    I:AdvancedBinStorage=8192

    # Internal buffer in Joules of each Advanced universal cable.
    I:AdvancedCableCapacity=12800

    # Insulation value of Advanced thermodynamic conductor.
    D:AdvancedConductorConductionInsulation=400.0

    # Heat capacity of Advanced thermodynamic conductor.
    D:AdvancedConductorHeatCapacity=1.0

    # Conduction value of Advanced thermodynamic conductor.
    D:AdvancedConductorInverseConduction=5.0

    # Maximum number of Joules a Advanced energy cube can store.
    D:AdvancedEnergyCubeMaxEnergy=8000000.0

    # Output rate in Joules of a Advanced energy cube.
    D:AdvancedEnergyCubeOutput=3200.0

    # Output rate of Advanced gas tank in mB.
    I:AdvancedFluidTankOutput=800

    # Storage size of Advanced gas tank in mB.
    I:AdvancedFluidTankStorage=28000

    # Output rate of Advanced gas tank in mB.
    I:AdvancedGasTankOutput=512

    # Storage size of Advanced gas tank in mB.
    I:AdvancedGasTankStorage=128000

    # Maximum number of Joules a Advanced induction cell can store.
    D:AdvancedInductionCellMaxEnergy=8.0E9

    # Maximum number of Joules a Advanced induction provider can output or accept.
    D:AdvancedInductionProviderOutput=512000.0

    # Capacity of Advanced mechanical pipe in mB.
    I:AdvancedPipeCapacity=4000

    # Pump rate of Advanced mechanical pipe in mB/t.
    I:AdvancedPipePullAmount=400

    # Item throughput rate of Advanced logistical transporter in items/s.
    I:AdvancedTransporterPullAmount=16

    # Five times travel speed of Advanced logistical transporter.
    I:AdvancedTransporterSpeed=10

    # Capacity of Advanced pressurized tube in mB.
    I:AdvancedTubeCapacity=1024

    # Pump rate of Advanced pressurized tube in mB/t.
    I:AdvancedTubePullAmount=256

    # The number of items a Basic bin can store.
    I:BasicBinStorage=4096

    # Internal buffer in Joules of each Basic universal cable.
    I:BasicCableCapacity=3200

    # Insulation value of Basic thermodynamic conductor.
    D:BasicConductorConductionInsulation=10.0

    # Heat capacity of Basic thermodynamic conductor.
    D:BasicConductorHeatCapacity=1.0

    # Conduction value of Basic thermodynamic conductor.
    D:BasicConductorInverseConduction=5.0

    # Maximum number of Joules a Basic energy cube can store.
    D:BasicEnergyCubeMaxEnergy=2000000.0

    # Output rate in Joules of a Basic energy cube.
    D:BasicEnergyCubeOutput=800.0

    # Output rate of Basic gas tank in mB.
    I:BasicFluidTankOutput=400

    # Storage size of Basic gas tank in mB.
    I:BasicFluidTankStorage=14000

    # Output rate of Basic gas tank in mB.
    I:BasicGasTankOutput=256

    # Storage size of Basic gas tank in mB.
    I:BasicGasTankStorage=64000

    # Maximum number of Joules a Basic induction cell can store.
    D:BasicInductionCellMaxEnergy=1.0E9

    # Maximum number of Joules a Basic induction provider can output or accept.
    D:BasicInductionProviderOutput=64000.0

    # Capacity of Basic mechanical pipe in mB.
    I:BasicPipeCapacity=1000

    # Pump rate of Basic mechanical pipe in mB/t.
    I:BasicPipePullAmount=100

    # Item throughput rate of Basic logistical transporter in items/s.
    I:BasicTransporterPullAmount=1

    # Five times travel speed of Basic logistical transporter.
    I:BasicTransporterSpeed=5

    # Capacity of Basic pressurized tube in mB.
    I:BasicTubeCapacity=256

    # Pump rate of Basic pressurized tube in mB/t.
    I:BasicTubePullAmount=64

    # The number of items a Creative bin can store.
    I:CreativeBinStorage=2147483647

    # Maximum number of Joules a Creative energy cube can store.
    D:CreativeEnergyCubeMaxEnergy=1.7976931348623157E308

    # Output rate in Joules of a Creative energy cube.
    D:CreativeEnergyCubeOutput=1.7976931348623157E308

    # Output rate of Creative gas tank in mB.
    I:CreativeFluidTankOutput=1073741823

    # Storage size of Creative gas tank in mB.
    I:CreativeFluidTankStorage=2147483647

    # Output rate of Creative gas tank in mB.
    I:CreativeGasTankOutput=1073741823

    # Storage size of Creative gas tank in mB.
    I:CreativeGasTankStorage=2147483647

    # The number of items a Elite bin can store.
    I:EliteBinStorage=32768

    # Internal buffer in Joules of each Elite universal cable.
    I:EliteCableCapacity=64000

    # Insulation value of Elite thermodynamic conductor.
    D:EliteConductorConductionInsulation=8000.0

    # Heat capacity of Elite thermodynamic conductor.
    D:EliteConductorHeatCapacity=1.0

    # Conduction value of Elite thermodynamic conductor.
    D:EliteConductorInverseConduction=5.0

    # Maximum number of Joules a Elite energy cube can store.
    D:EliteEnergyCubeMaxEnergy=3.2E7

    # Output rate in Joules of a Elite energy cube.
    D:EliteEnergyCubeOutput=12800.0

    # Output rate of Elite gas tank in mB.
    I:EliteFluidTankOutput=1600

    # Storage size of Elite gas tank in mB.
    I:EliteFluidTankStorage=56000

    # Output rate of Elite gas tank in mB.
    I:EliteGasTankOutput=1028

    # Storage size of Elite gas tank in mB.
    I:EliteGasTankStorage=256000

    # Maximum number of Joules a Elite induction cell can store.
    D:EliteInductionCellMaxEnergy=6.4E10

    # Maximum number of Joules a Elite induction provider can output or accept.
    D:EliteInductionProviderOutput=4096000.0

    # Capacity of Elite mechanical pipe in mB.
    I:ElitePipeCapacity=16000

    # Pump rate of Elite mechanical pipe in mB/t.
    I:ElitePipePullAmount=1600

    # Item throughput rate of Elite logistical transporter in items/s.
    I:EliteTransporterPullAmount=32

    # Five times travel speed of Elite logistical transporter.
    I:EliteTransporterSpeed=20

    # Capacity of Elite pressurized tube in mB.
    I:EliteTubeCapacity=4096

    # Pump rate of Elite pressurized tube in mB/t.
    I:EliteTubePullAmount=1024

    # The number of items a Ultimate bin can store.
    I:UltimateBinStorage=262144

    # Internal buffer in Joules of each Ultimate universal cable.
    I:UltimateCableCapacity=320000

    # Insulation value of Ultimate thermodynamic conductor.
    D:UltimateConductorConductionInsulation=100000.0

    # Heat capacity of Ultimate thermodynamic conductor.
    D:UltimateConductorHeatCapacity=1.0

    # Conduction value of Ultimate thermodynamic conductor.
    D:UltimateConductorInverseConduction=5.0

    # Maximum number of Joules a Ultimate energy cube can store.
    D:UltimateEnergyCubeMaxEnergy=1.28E8

    # Output rate in Joules of a Ultimate energy cube.
    D:UltimateEnergyCubeOutput=51200.0

    # Output rate of Ultimate gas tank in mB.
    I:UltimateFluidTankOutput=3200

    # Storage size of Ultimate gas tank in mB.
    I:UltimateFluidTankStorage=112000

    # Output rate of Ultimate gas tank in mB.
    I:UltimateGasTankOutput=2056

    # Storage size of Ultimate gas tank in mB.
    I:UltimateGasTankStorage=512000

    # Maximum number of Joules a Ultimate induction cell can store.
    D:UltimateInductionCellMaxEnergy=5.12E11

    # Maximum number of Joules a Ultimate induction provider can output or accept.
    D:UltimateInductionProviderOutput=3.2768E7

    # Capacity of Ultimate mechanical pipe in mB.
    I:UltimatePipeCapacity=64000

    # Pump rate of Ultimate mechanical pipe in mB/t.
    I:UltimatePipePullAmount=6400

    # Item throughput rate of Ultimate logistical transporter in items/s.
    I:UltimateTransporterPullAmount=64

    # Five times travel speed of Ultimate logistical transporter.
    I:UltimateTransporterSpeed=50

    # Capacity of Ultimate pressurized tube in mB.
    I:UltimateTubeCapacity=16384

    # Pump rate of Ultimate pressurized tube in mB/t.
    I:UltimateTubePullAmount=4096
}


tools {

    tool-balance {

        obsidian {

            regular {
                # Base attack damage of a obsidian axe.
                D:axeAttackDamage=12.0

                # Base attack speed of a obsidian axe.
                D:axeAttackSpeed=-2.0

                # Base attack damage of obsidian.
                I:damage=10

                # Base speed of obsidian.
                D:efficiency=20.0

                # Natural enchantability factor of obsidian.
                I:enchantability=40

                # Harvest level of obsidian tools.
                I:harvestLevel=3

                # Maximum durability of obsidian tools.
                I:maxUses=2500
            }

            paxel {
                # Base attack damage of obsidian.
                I:damage=10

                # Base speed of obsidian.
                D:efficiency=25.0

                # Natural enchantability factor of obsidian.
                I:enchantability=50

                # Harvest level of obsidian tools.
                I:harvestLevel=3

                # Maximum durability of obsidian tools.
                I:maxUses=3000
            }

        }

        lapis {

            regular {
                # Base attack damage of a lapis axe.
                D:axeAttackDamage=8.0

                # Base attack speed of a lapis axe.
                D:axeAttackSpeed=-3.0999999046325684

                # Base attack damage of lapis.
                I:damage=2

                # Base speed of lapis.
                D:efficiency=5.0

                # Natural enchantability factor of lapis.
                I:enchantability=8

                # Harvest level of lapis tools.
                I:harvestLevel=2

                # Maximum durability of lapis tools.
                I:maxUses=200
            }

            paxel {
                # Base attack damage of lapis.
                I:damage=4

                # Base speed of lapis.
                D:efficiency=6.0

                # Natural enchantability factor of lapis.
                I:enchantability=10

                # Harvest level of lapis tools.
                I:harvestLevel=2

                # Maximum durability of lapis tools.
                I:maxUses=250
            }

        }

        osmium {

            regular {
                # Base attack damage of a osmium axe.
                D:axeAttackDamage=8.0

                # Base attack speed of a osmium axe.
                D:axeAttackSpeed=-3.0

                # Base attack damage of osmium.
                I:damage=4

                # Base speed of osmium.
                D:efficiency=10.0

                # Natural enchantability factor of osmium.
                I:enchantability=12

                # Harvest level of osmium tools.
                I:harvestLevel=2

                # Maximum durability of osmium tools.
                I:maxUses=500
            }

            paxel {
                # Base attack damage of osmium.
                I:damage=5

                # Base speed of osmium.
                D:efficiency=12.0

                # Natural enchantability factor of osmium.
                I:enchantability=16

                # Harvest level of osmium tools.
                I:harvestLevel=3

                # Maximum durability of osmium tools.
                I:maxUses=700
            }

        }

        bronze {

            regular {
                # Base attack damage of a bronze axe.
                D:axeAttackDamage=8.0

                # Base attack speed of a bronze axe.
                D:axeAttackSpeed=-3.1

                # Base attack damage of bronze.
                I:damage=6

                # Base speed of bronze.
                D:efficiency=14.0

                # Natural enchantability factor of bronze.
                I:enchantability=10

                # Harvest level of bronze tools.
                I:harvestLevel=2

                # Maximum durability of bronze tools.
                I:maxUses=800
            }

            paxel {
                # Base attack damage of bronze.
                I:damage=10

                # Base speed of bronze.
                D:efficiency=16.0

                # Natural enchantability factor of bronze.
                I:enchantability=14

                # Harvest level of bronze tools.
                I:harvestLevel=3

                # Maximum durability of bronze tools.
                I:maxUses=1100
            }

        }

        glowstone {

            regular {
                # Base attack damage of a glowstone axe.
                D:axeAttackDamage=8.0

                # Base attack speed of a glowstone axe.
                D:axeAttackSpeed=-3.1

                # Base attack damage of glowstone.
                I:damage=5

                # Base speed of glowstone.
                D:efficiency=14.0

                # Natural enchantability factor of glowstone.
                I:enchantability=18

                # Harvest level of glowstone tools.
                I:harvestLevel=2

                # Maximum durability of glowstone tools.
                I:maxUses=300
            }

            paxel {
                # Base attack damage of glowstone.
                I:damage=5

                # Base speed of glowstone.
                D:efficiency=18.0

                # Natural enchantability factor of glowstone.
                I:enchantability=22

                # Harvest level of glowstone tools.
                I:harvestLevel=2

                # Maximum durability of glowstone tools.
                I:maxUses=450
            }

        }

        steel {

            regular {
                # Base attack damage of a steel axe.
                D:axeAttackDamage=8.0

                # Base attack speed of a steel axe.
                D:axeAttackSpeed=-3.0

                # Base attack damage of steel.
                I:damage=4

                # Base speed of steel.
                D:efficiency=14.0

                # Natural enchantability factor of steel.
                I:enchantability=10

                # Harvest level of steel tools.
                I:harvestLevel=3

                # Maximum durability of steel tools.
                I:maxUses=850
            }

            paxel {
                # Base attack damage of steel.
                I:damage=8

                # Base speed of steel.
                D:efficiency=18.0

                # Natural enchantability factor of steel.
                I:enchantability=14

                # Harvest level of steel tools.
                I:harvestLevel=3

                # Maximum durability of steel tools.
                I:maxUses=1250
            }

        }

        lazuli {

            regular {
                D:axeAttackDamage=8.0
                D:axeAttackSpeed=-3.1
            }

        }

    }

    armor-balance {

        obsidian {
            # Base durability of obsidian armor.
            I:durability=50

            # Natural enchantability factor of obsidian armor.
            I:enchantability=40

            # Base armor toughness value of obsidian armor.
            D:toughness=4.0

            protection {
                # Protection value of obsidian chestplates.
                I:chest=12

                # Protection value of obsidian boots.
                I:feet=5

                # Protection value of obsidian helmets.
                I:head=5

                # Protection value of obsidian leggings.
                I:legs=8
            }

        }

        lapis {
            # Base durability of lapis armor.
            I:durability=13

            # Natural enchantability factor of lapis armor.
            I:enchantability=8

            # Base armor toughness value of lapis armor.
            D:toughness=0.0

            protection {
                # Protection value of lapis chestplates.
                I:chest=5

                # Protection value of lapis boots.
                I:feet=2

                # Protection value of lapis helmets.
                I:head=2

                # Protection value of lapis leggings.
                I:legs=6
            }

        }

        osmium {
            # Base durability of osmium armor.
            I:durability=30

            # Natural enchantability factor of osmium armor.
            I:enchantability=12

            # Base armor toughness value of osmium armor.
            I:toughness=1

            protection {
                # Protection value of osmium chestplates.
                I:chest=5

                # Protection value of osmium boots.
                I:feet=3

                # Protection value of osmium helmets.
                I:head=3

                # Protection value of osmium leggings.
                I:legs=6
            }

        }

        bronze {
            # Base durability of bronze armor.
            I:durability=35

            # Natural enchantability factor of bronze armor.
            I:enchantability=10

            # Base armor toughness value of bronze armor.
            D:toughness=0.0

            protection {
                # Protection value of bronze chestplates.
                I:chest=6

                # Protection value of bronze boots.
                I:feet=2

                # Protection value of bronze helmets.
                I:head=3

                # Protection value of bronze leggings.
                I:legs=5
            }

        }

        glowstone {
            # Base durability of glowstone armor.
            I:durability=18

            # Natural enchantability factor of glowstone armor.
            I:enchantability=18

            # Base armor toughness value of glowstone armor.
            D:toughness=0.0

            protection {
                # Protection value of glowstone chestplates.
                I:chest=7

                # Protection value of glowstone boots.
                I:feet=3

                # Protection value of glowstone helmets.
                I:head=3

                # Protection value of glowstone leggings.
                I:legs=6
            }

        }

        steel {
            # Base durability of steel armor.
            I:durability=40

            # Natural enchantability factor of steel armor.
            I:enchantability=10

            # Base armor toughness value of steel armor.
            D:toughness=1.0

            protection {
                # Protection value of steel chestplates.
                I:chest=7

                # Protection value of steel boots.
                I:feet=3

                # Protection value of steel helmets.
                I:head=3

                # Protection value of steel leggings.
                I:legs=6
            }

        }

    }

    general {
        # The chance that Mekanism Armor can spawn on mobs.
        D:MobArmorSpawnRate=0.03
    }

}


usage {
    # Energy per operation tick (Joules).
    D:ChemicalCrystallizerUsage=400.0

    # Energy per operation tick (Joules).
    D:ChemicalDissolutionChamberUsage=400.0

    # Energy per operation tick (Joules).
    D:ChemicalInfuserUsage=200.0

    # Energy per operation tick (Joules).
    D:ChemicalInjectionChamberUsage=400.0

    # Energy per operation tick (Joules).
    D:ChemicalWasherUsage=200.0

    # Energy per operation tick (Joules).
    D:CombinerUsage=50.0

    # Energy per operation tick (Joules).
    D:CrusherUsage=50.0

    # Energy per operation tick (Joules).
    D:DigitalMinerUsage=100.0

    # Energy per operation tick (Joules).
    D:ElectricPumpUsage=100.0

    # Energy per operation tick (Joules).
    D:EnergizedSmelterUsage=50.0

    # Energy per operation tick (Joules).
    D:EnrichmentChamberUsage=50.0

    # Energy per operation tick (Joules).
    D:FluidicPlenisherUsage=100.0

    # Energy per operation tick (Joules).
    D:FormulaicAssemblicatorUsage=100.0
    D:GasCentrifugeUsage=100.0

    # Energy needed for one [recipe unit] of heavy water production (Joules).
    D:HeavyWaterElectrolysisUsage=800.0

    # Energy per operation tick (Joules).
    D:LaserUsage=5000.0

    # Energy per operation tick (Joules).
    D:MetallurgicInfuserUsage=50.0

    # Energy per operation tick (Joules).
    D:OsmiumCompressorUsage=100.0

    # Energy per operation tick (Joules).
    D:OxidationChamberUsage=200.0

    # Energy per operation tick (Joules).
    D:PrecisionSawmillUsage=50.0

    # Energy per operation tick (Joules).
    D:PressurizedReactionBaseUsage=5.0

    # Energy per operation tick (Joules).
    D:PurificationChamberUsage=200.0

    # Energy per operation tick (Joules).
    D:RotaryCondensentratorUsage=50.0

    # Energy per operation tick (Joules).
    D:SeismicVibratorUsage=50.0

    # Base Joules cost for a teleportation.
    I:TeleporterBaseUsage=1000

    # Flat additional cost for interdimensional teleportation.
    I:TeleporterDimensionPenalty=10000

    # Joules per unit of distance travelled during teleportation - sqrt(xDiff^2 + yDiff^2 + zDiff^2).
    I:TeleporterDistanceUsage=10
}


